/*-
* Copyright (C) 2005-2010 Nick Withers. All rights reserved.
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
* 1. Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
* 2. Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the distribution.
*
* THIS SOFTWARE IS PROVIDED BY THE AUTHOR(S) AND CONTRIBUTORS ``AS IS'' AND
* ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
* ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR(S) OR CONTRIBUTORS BE LIABLE
* FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
* DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
* OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
* HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
* LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
* OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
* SUCH DAMAGE.
*/

#define	VERSION_TAG	"version"
#define	TIMEOUT_TAG	"timeout"
#define	TIMEOUT_UNIT_TAG	"timeout_unit"
#define	SHUTDOWN_TYPE_TAG	"shutdown_type"
#define	MAIN_WINDOW_ON_TOP_TAG	"main_on_top"
#define	PROGRESS_WINDOW_ON_TOP_TAG	"progress_on_top"
#define	SHOW_TRAY_TAG	"show_tray"
#define	AUTO_RUN_TAG	"auto_run"

#define	MINUTES_VALUE	"minutes"
#define	HOURS_VALUE	"hours"
#define	DAYS_VALUE	"days"
#define	POWEROFF_VALUE	"power-off"
#define	RESTART_VALUE	"restart"
#define	HALT_VALUE	"halt"
#define	SINGLE_USER_VALUE	"single user"
#define	TRUE_VALUE	"TRUE"
#define	FALSE_VALUE	"FALSE"

typedef struct
{
	char *value_string;
	int value;
} value_mapping;

#define	TIMEOUT_UNIT_PARAM_MAPPINGS	{ \
	{"minutes", MINUTES}, \
	{"hours", HOURS}, \
	{"days", DAYS}}
#define	SHUTDOWN_TYPE_PARAM_MAPPINGS	{ \
	{"power-off", POWEROFF}, \
	{"restart", RESTART}, \
	{"halt", HALT}, \
	{"single user", SINGLE_USER}}
#define	TRUTH_PARAM_MAPPINGS	{ \
	{"TRUE", TRUE}, \
	{"FALSE", FALSE}}
